body {
  margin: 0;
  font-family: 'pf-videotext', monospace;
  background: black;
  color: #fff200;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  padding-top: 30vh;
  text-align: center;
}

#canvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1000;
  opacity: 0.6;
  pointer-events: none;
}

h1 {
  font-size: 1.5rem;
  margin-bottom: 2rem;
  letter-spacing: 5px;
}

.input-container {
  border: 0.25px solid #ffffff;
  padding: 1rem;
  width: 92%;
  max-width: 600px;
}

input[type="text"] {
  width: 100%;
  border: none;
  outline: none;
  background: black;
  color: #ffffff;
  font-size: 1rem;
  font-family: 'cormorant-infant', monospace;
}

.cost-text {
  font-family: 'cormorant-infant', monospace;
  font-weight: bold;
}

/* Loading Bar */
.loading-bar {
  display: flex;
  gap: 0.5rem;
  justify-content: center;
  margin-bottom: 2rem;
  width: 92%; /* Match the input-container width */
  max-width: 600px; /* Match the input-container max-width */
}

.loading-bar .bar {
  width: 30px;
  height: 10px;
  border: 1px solid #fff200;
  background: transparent;
  transition: background 0.3s;
}

/* Receipt Styles */
.receipt {
  position: fixed;
  top: -100%;
  left: 50%;
  transform: translateX(-50%);
  width: 355px;
  background: white;
  color: black;
  font-family: 'pf-videotext', monospace;
  font-size: 0.9rem;
  border: 1px solid black;
  z-index: 999;
  transition: top 0.5s ease, opacity 0.5s ease;
  text-align: left;
  opacity: 0;
}

.receipt.show {
  top: 2rem;
  opacity: 1;
}

.receipt-inner {
  padding: 1.5rem;
  padding-top: 0.2rem;
  padding-bottom: 0.2rem;
}

.receipt-header {
  display: flex;
  justify-content: space-between;
  font-size: 1rem;
  text-align: left;
  margin-bottom: 0.5rem;
}

.receipt-divider {
  height: 1px;
  background: rgb(202, 202, 202);
  margin: 1rem 0;
}

.receipt-footer {
  justify-self: center;
  padding: 0;
  margin: 0;
}

.dashed-line {
  display: flex;
  justify-content: space-between;
  gap: 0.5rem;
}

.dashed-line .receipt-divider {
  flex: 1;
  max-width: 100px;
}

.receipt-label {
  font-size: 0.7rem;
  text-transform: uppercase;
  letter-spacing: 1px;
  margin-top: 0.5rem;
  font-weight: bold;
}

.receipt-value {
  font-size: 0.7rem;
  margin-bottom: 0.5rem;
  text-align: left;
  font-weight: bold;
}

.receipt-row {
  display: grid;
  grid-template-columns: 5fr 1fr 1fr;
  justify-content: space-between;
  align-items: baseline;
  margin-bottom: 0.5rem;
}

.receipt-row > .receipt-label:first-child {
  text-align: left;
}

.receipt-row > .receipt-label:last-child {
  text-align: right;
}

.receipt-confirm-text {
  margin-top: 1rem;
  text-align: center;
  font-size: 1rem;
  padding-bottom: 0.3rem;
}

.receipt-buttons {
  display: flex;
  justify-content: space-between;
}

.receipt-button {
  border: 1px solid #000000;
  background: 0;
  padding: 0.1rem;
  padding-bottom: 0.4rem;
  margin: 0.7rem;
  width: 100%;
  font-family: 'cormorant-infant', monospace;
  font-size: 1rem;
  font-weight: bold;
  cursor: pointer;
}

.receipt-barcode {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 0.5rem;
}

.receipt-barcode img {
  max-width: 100%;
  height: auto;
  max-height: 100px; /* Adjust the height as needed */
  object-fit: contain;
}

.two-element-row {
  display: flex;
  justify-content: space-between;
}

.loading-bar {
  display: flex;
  gap: 0.5rem;
  justify-content: space-between;
  justify-self: center;
  margin-bottom: 2rem;
  width: 100%;
}

.loading-bar .bar {
  flex: 1;
  height: 10px;
  border: 1px solid #fff200;
  background: transparent;
  transition: background 0.3s;
  margin: 0 2px;
}
.running-time {
  position: fixed;
  bottom: 30px;
  left: 30px;
  font-size: 0.9rem;
  color: #fff200;
  font-family: 'pf-videotext', monospace;
  text-align: left;
}
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: black;
  opacity: 0;
  z-index: 900;
  transition: opacity 0.3s ease;
  pointer-events: none;
}

.overlay.show {
  opacity: 0.7;
  pointer-events: auto;
}

#shutdown {
  z-index: 1001;
  margin: 1rem;
  display: none;
  position: fixed;
  top: 250px;
}

.shutdown-background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100px;
  height: 1000px;
  background: rgb(255, 255, 255);
  padding: 1rem;;
  z-index: 1000;
}
nav a:hover {
  color: #ffffff;
}
nav a {
  color: #fff200;
  text-decoration: none;
  }

#maincontainer {
  position: fixed;
  top: 20px;
  left: 30px;
  font-size: 0.9rem;
  color: #fff200;
  font-family: 'pf-videotext', monospace;
  text-align: left;
  letter-spacing: 3px;
}

#glitch-blackout {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: black;
  opacity: 0;
  z-index: 999; /* just under canvas and shutdown */
  pointer-events: none;
  transition: opacity 0.3s ease;
}

#glitch-blackout.show {
  opacity: 1;
}
.spaced-block {
  margin-top: 1rem;
  margin-bottom: .75rem;
}

.receipt-divider {
  height: 1px;
  background: rgb(202, 202, 202);
}

